;*********************************************************************
; MS2 Extra equates for asm   (C) 2006 James Murray
;*********************************************************************
; This file used to allow linker to understand structs until we find
; a better way. Pretty horrible.
; $Id: ms2extra_structs.inc,v 1.28 2010/03/02 17:21:02 racingmini Exp $

.globl outpc
.equ outpc.seconds,        outpc+0x0
.equ outpc.pw1,            outpc+0x2
.equ outpc.pw2,            outpc+0x4
.equ outpc.rpm,            outpc+0x6
.equ outpc.squirt,         outpc+0xa
.equ outpc.engine,         outpc+0xb
.equ outpc.mat,            outpc+0x14
.equ outpc.clt,            outpc+0x16
.equ outpc.iacstep,        outpc+0x36
.equ outpc.EAEfcor1,       outpc+0x48
.equ outpc.status1,        outpc+0x4e
.equ outpc.status2,        outpc+0x4f
.equ outpc.status3,        outpc+0x50
.equ outpc.status4,        outpc+0x51
.equ outpc.looptime,       outpc+0x52
.equ outpc.istatus5,       outpc+0x54
.equ outpc.wallfuel1,      outpc+0x64
.equ outpc.gpioadc0,       outpc+0x68
.equ outpc.gpioadc1,       outpc+0x6a
.equ outpc.gpioadc2,       outpc+0x6c
.equ outpc.gpioadc3,       outpc+0x6e
.equ outpc.gpioadc4,       outpc+0x70
.equ outpc.gpioadc5,       outpc+0x72
.equ outpc.gpioadc6,       outpc+0x74
.equ outpc.gpioadc7,       outpc+0x76
.equ outpc.wallfuel2,      outpc+0x84
.equ outpc.EAEfcor2,       outpc+0x88
.equ outpc.pw3,            outpc+0x92
.equ outpc.pw4,            outpc+0x94

.globl flash4
.equ flash4.ICIgnOption,   flash4+0x2
.equ flash4.adv_offset,    flash4+0x2a
.equ flash4.IACtstep,      flash4+0x224
.equ flash4.IACcrankxt,    flash4+0x22e
.equ flash4.secondtrigopts,flash4+0x241
.equ flash4.MAFOption,     flash4+0x258
.equ flash4.InjPWMTim,     flash4+0x265
.equ flash4.InjPWMPd,      flash4+0x266
.equ flash4.InjPWMDty,     flash4+0x267
.equ flash4.dwelltime,     flash4+0x279
.equ flash4.InjPWMTim2,    flash4+0x27e
.equ flash4.InjPWMPd2,     flash4+0x27f
.equ flash4.InjPWMDty2,    flash4+0x280
.equ flash4.TC5_required_width, flash4+0x292
.equ flash4.board_id_type, flash4+0x2e4
.equ flash4.mycan_id,      flash4+0x2e5
.equ flash4.FlexFuel,      flash4+0x38c
.equ flash4.dwellmode,     flash4+0x391
.equ flash4.EAEOption,     flash4+0x3a7
.equ flash4.Miss_ang,      flash4+0x3c9
.equ flash4.spk_config,    flash4+0x3dc
.equ flash4.spk_mode,      flash4+0x3dd
.equ flash4.userlevel,     flash4+0x3de
.equ flash4.flexport,      flash4+0x3e2
.equ flash4.feature4_0,    flash4+0x3e5

.globl flash5
.equ flash5.pwmidle_ms,    flash5+0x20
.equ flash5.pwmidleset,    flash5+0x340
.equ flash5.pwmidle_freq,  flash5+0x36
.equ flash5.pwmidle_port,  flash5+0x3E
.equ flash5.tacho_opt,     flash5+0x34A
.equ flash5.boost_ctl_settings, flash5+0x43
.equ flash5.boost_ctl_ms,  flash5+0x4A
.equ flash5.fc_ego_delay,  flash5+0x350

.globl flash8
.equ flash8.feature413,    flash8+0x19d
.equ flash8.seq_inj,       flash8+0x19f

.globl flash10
.equ flash10.feature3,      flash10+0x2a0
.equ flash10.RotarySplitMode,     flash10+0x3c7

.globl ram_data
.equ ramdata.adv_offset,   ram_data+0x2a
.equ ramdata.testmodelock, ram_data       ; word
.equ ramdata.testop,       ram_data+0x002
.equ ramdata.testdwell,    ram_data+0x003
.equ ramdata.testint,      ram_data+0x004 ; word
.equ ramdata.testmode,     ram_data+0x006
.equ ramdata.testpw,       ram_data+0x007 ; word
.equ ramdata.testinjcnt,   ram_data+0x009 ; word
.equ ramdata.testInjPWMTim, ram_data+0x15b
.equ ramdata.testInjPWMPd, ram_data+0x15c
.equ ramdata.testInjPWMDty, ram_data+0x15d
.equ ramdata.iactest,      ram_data+0x182
.equ ramdata.Miss_ang,      ram_data+0x3c9

.equ spk_time_ovflo.time_16_bits_0, spk_time_ovflo
.equ spk_time_ovflo.time_16_bits_1, spk_time_ovflo+0x02
.equ dwl_time_ovflo.time_16_bits_0, dwl_time_ovflo
.equ dwl_time_ovflo.time_16_bits_1, dwl_time_ovflo+0x02
.equ spk_trl_sametooth.time_16_bits_1, spk_trl_sametooth+0x02

